[SRU] Making gnocchi resource support multiple projects with the same name

Bug #1776375 reported by Seyeong Kim on 2018-06-12
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Aodh
Undecided
Seyeong Kim
Ubuntu Cloud Archive
High
Unassigned
Ocata
High
Unassigned
Pike
High
Seyeong Kim
Queens
High
Seyeong Kim
Rocky
High
Unassigned
aodh (Ubuntu)
High
Unassigned
Bionic
High
Seyeong Kim
Cosmic
High
Unassigned

Bug Description

[Impact]

There are 500 error when creating AodhGnocchiAggregationByResourcesAlarm

If openstack env has the same projects name ( e.g. services ) in different domain ( e.g. default, service_domain), It will get default domain even if you want to choose service_domain.

This is affected to O, P, Q and Bionic ( but Ocata backporting is in progress, there is testing error so I didn't put it here )

[TestCase]

1. deploy openstack env (https://pastebin.ubuntu.com/p/3SXDQT9hWq/)
- juju run-action heat/0 domain-setup

2. create new domain, project, user, role etc (https://pastebin.ubuntu.com/p/x8VDrzbWS3/)
3. create image, flavor, network if needed
4. source testrc (https://pastebin.ubuntu.com/p/b25bSY3ktf/)
5. openstack keypair create testkey > ~/testkey.pem; chmod 600 ~/testkey.pem;
6. prepare stack templates
web.yaml(https://pastebin.ubuntu.com/p/vr6brGjqbp/)
lb_server.yaml(https://pastebin.ubuntu.com/p/mmJ39VsCg6/)
7. adjust configuration
- gnocchi_external_project_owner = services below [api] on aodh.conf
gnocchi_external_domain_name = service_domain
- insert belows on credentials
project_domain_name = service_domain
user_domain_name = service_domain
8. openstack stack create -t ./web.yaml asg --wait

[Regression]
This patch changes aodh code for gnocchi resource. this patch adds new option for gnocchi resource setting, User should set this properly. After this patch, restarting aodh(apache2) services. this causes short service unavailable.

[Others]

master commit link
https://github.com/openstack/aodh/commit/e923493e4feec239c9fe9b58736960a40e373bee

Seyeong Kim (xtrusia) on 2018-06-12
tags: added: sts
Changed in aodh:
assignee: nobody → Seyeong Kim (xtrusia)
Changed in aodh:
status: New → In Progress
Seyeong Kim (xtrusia) wrote :
description: updated
Xav Paice (xavpaice) wrote :

Subscribed field-high, this bug is blocking at least one customer plus possibly others that don't know it yet.

Note that the issue is that we have a domain, 'service_domain', plus the default 'domain', and both have a project named 'services', and each service has a user account in each domain.

tags: added: canonical-bootstack

Reviewed: https://review.openstack.org/574339
Committed: https://git.openstack.org/cgit/openstack/aodh/commit/?id=471437e4559259957021d81dd8cbd432f0116933
Submitter: Zuul
Branch: master

commit 471437e4559259957021d81dd8cbd432f0116933
Author: Seyeong Kim <email address hidden>
Date: Tue Jun 12 01:45:53 2018 +0900

    Support same projects in different domain

    Getting 500 error when there are same project name
    in different domain.
    Selecting one domain from service_credentials.
    e.g. services(or service) projects are in default and service_domain
    having differrent id. so this selects default's services project
    instead of service_domain's services project

    Closes-Bug: #1776375
    Change-Id: Ibb79423a06062f2e00785c30f54e7ac2a41a4705

Changed in aodh:
status: In Progress → Fix Released
Seyeong Kim (xtrusia) on 2018-06-12
description: updated

Added cloud-archive, we need this back-ported to Pike

Change abandoned by Seyeong Kim (<email address hidden>) on branch: stable/pike
Review: https://review.openstack.org/574936

Change abandoned by Seyeong Kim (<email address hidden>) on branch: stable/ocata
Review: https://review.openstack.org/574937

Change abandoned by Seyeong Kim (<email address hidden>) on branch: stable/queens
Review: https://review.openstack.org/574935

Seyeong,

Do you recall if this was just a matter of updating a failing test to get this backported?

Thanks,
Corey

Seyeong Kim (xtrusia) wrote :

Hello Corey

I resubmitted patch for this with few changes ( and related test with aodhclient as Mehdi suggested )

it is https://review.openstack.org/#/c/575615/4

and it is still in review progress ( test is ok I think )

I'll monitor it and backport if it is merged.

Thanks.

Corey Bryant (corey.bryant) wrote :

Thanks very much Seyeong!

Seyeong Kim (xtrusia) on 2018-06-29
Changed in aodh:
status: Fix Released → Fix Committed

Reviewed: https://review.openstack.org/575615
Committed: https://git.openstack.org/cgit/openstack/aodh/commit/?id=e923493e4feec239c9fe9b58736960a40e373bee
Submitter: Zuul
Branch: master

commit e923493e4feec239c9fe9b58736960a40e373bee
Author: Seyeong Kim <email address hidden>
Date: Fri Jun 15 13:50:09 2018 +0900

    Support same projects in different domain

    Getting 500 error when there are same project name
    in different domain.
    Selecting one domain from service_credentials.
    e.g. services(or service) projects are in default and service_domain
    having differrent id. so this selects default's services project
    instead of service_domain's services project

    Change-Id: I3f12811684a49794bca87c4a10b18d45879da773
    Closes-Bug: #1776375

Changed in aodh:
status: Fix Committed → Fix Released

Reviewed: https://review.openstack.org/580586
Committed: https://git.openstack.org/cgit/openstack/aodh/commit/?id=91c094529fc3d825421e2e5e3839d8946c91ae94
Submitter: Zuul
Branch: stable/queens

commit 91c094529fc3d825421e2e5e3839d8946c91ae94
Author: Seyeong Kim <email address hidden>
Date: Fri Jun 15 13:50:09 2018 +0900

    Support same projects in different domain

    Getting 500 error when there are same project name
    in different domain.
    Selecting one domain from service_credentials.
    e.g. services(or service) projects are in default and service_domain
    having differrent id. so this selects default's services project
    instead of service_domain's services project

    Change-Id: I3f12811684a49794bca87c4a10b18d45879da773
    Closes-Bug: #1776375

tags: added: in-stable-queens
Seyeong Kim (xtrusia) wrote :
Seyeong Kim (xtrusia) wrote :
description: updated
description: updated
Changed in aodh (Ubuntu Bionic):
status: New → Triaged
Changed in aodh (Ubuntu Cosmic):
status: New → Triaged
Changed in aodh (Ubuntu Bionic):
importance: Undecided → High
Changed in aodh (Ubuntu Cosmic):
importance: Undecided → High
summary: - Making gnocchi resource support multiple projects with the same name
+ [SRU] Making gnocchi resource support multiple projects with the same
+ name
Corey Bryant (corey.bryant) wrote :

Hi Seyeong,

Thanks for the patches. I've uploaded this to cosmic, the bionic unapproved queue, and pike-staging.

Thanks,
Corey

Hello Seyeong, or anyone else affected,

Accepted aodh into pike-proposed. The package will build now and be available in the Ubuntu Cloud Archive in a few hours, and then in the -proposed repository.

Please help us by testing this new package. To enable the -proposed repository:

  sudo add-apt-repository cloud-archive:pike-proposed
  sudo apt-get update

Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-pike-needed to verification-pike-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-pike-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-pike-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package aodh - 6.0.1-0ubuntu4

---------------
aodh (6.0.1-0ubuntu4) cosmic; urgency=medium

  * d/p/0001-Support-same-projects-in-different-domain.patch
    - Support same projects in different domain (LP: #1776375)

 -- Corey Bryant <email address hidden> Mon, 23 Jul 2018 14:09:27 -0400

Changed in aodh (Ubuntu Cosmic):
status: Triaged → Fix Released
Seyeong Kim (xtrusia) wrote :

Hello,

I verified this patch is working for pike,

I added one step more for reproducer in [TestCase] section.

Thanks

dpkg -l | grep aodh │
ii aodh-api 5.1.0-0ubuntu1~cloud1 all OpenStack Telemetry (Ceilometer) Alarming - API server │
ii aodh-common 5.1.0-0ubuntu1~cloud1 all OpenStack Telemetry (Ceilometer) Alarming - common files │
ii aodh-evaluator 5.1.0-0ubuntu1~cloud1 all OpenStack Telemetry (Ceilometer) Alarming - alarm evaluator │
ii aodh-expirer 5.1.0-0ubuntu1~cloud1 all OpenStack Telemetry (Ceilometer) Alarming - expirer │
ii aodh-listener 5.1.0-0ubuntu1~cloud1 all OpenStack Telemetry (Ceilometer) Alarming - listener │
ii aodh-notifier 5.1.0-0ubuntu1~cloud1 all OpenStack Telemetry (Ceilometer) Alarming - alarm notifier │
ii python-aodh 5.1.0-0ubuntu1~cloud1 all OpenStack Telemetry (Ceilometer) Alarming - Python libraries

description: updated
tags: added: verification-pike-done
removed: verification-pike-needed

This issue was fixed in the openstack/aodh 7.0.0 release.

Hello Seyeong, or anyone else affected,

Accepted aodh into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/aodh/6.0.1-0ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in aodh (Ubuntu Bionic):
status: Triaged → Fix Committed
tags: added: verification-needed verification-needed-bionic
Robie Basak (racb) wrote :

Unsubscribing ~ubuntu-sponsors.

Corey Bryant (corey.bryant) wrote :

Hello Seyeong, or anyone else affected,

Accepted aodh into queens-proposed. The package will build now and be available in the Ubuntu Cloud Archive in a few hours, and then in the -proposed repository.

Please help us by testing this new package. To enable the -proposed repository:

  sudo add-apt-repository cloud-archive:queens-proposed
  sudo apt-get update

Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-queens-needed to verification-queens-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-queens-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-queens-needed
Seyeong Kim (xtrusia) on 2018-08-06
Changed in aodh (Ubuntu Bionic):
assignee: nobody → Seyeong Kim (xtrusia)
Seyeong Kim (xtrusia) wrote :

I tried to deploy bionic env for verifiying. but there are some issue on juju deployment.

so I'm going to try queens first.

Seyeong Kim (xtrusia) wrote :

Hello

I verified that xenial-queens are working fine with patch

Please note that i missed one option on aodh.conf ( updated description )

Thanks

dpkg -l | grep aodh
ii aodh-api 6.0.1-0ubuntu1.1~cloud0 all OpenStack Telemetry (Ceilometer) Alarming - API server
ii aodh-common 6.0.1-0ubuntu1.1~cloud0 all OpenStack Telemetry (Ceilometer) Alarming - common files
ii aodh-evaluator 6.0.1-0ubuntu1.1~cloud0 all OpenStack Telemetry (Ceilometer) Alarming - alarm evaluator
ii aodh-expirer 6.0.1-0ubuntu1.1~cloud0 all OpenStack Telemetry (Ceilometer) Alarming - expirer
ii aodh-listener 6.0.1-0ubuntu1.1~cloud0 all OpenStack Telemetry (Ceilometer) Alarming - listener
ii aodh-notifier 6.0.1-0ubuntu1.1~cloud0 all OpenStack Telemetry (Ceilometer) Alarming - alarm notifier
ii python-aodh 6.0.1-0ubuntu1.1~cloud0 all OpenStack Telemetry (Ceilometer) Alarming - Python libraries

tags: added: verification-queens-done
removed: verification-queens-needed
description: updated
Seyeong Kim (xtrusia) wrote :

Hello,

I verified that bionic are working fine.

Thanks.

dpkg -l | grep aodh
ii aodh-api 6.0.1-0ubuntu1.1 all OpenStack Telemetry (Ceilometer) Alarming - API server
ii aodh-common 6.0.1-0ubuntu1.1 all OpenStack Telemetry (Ceilometer) Alarming - common files
ii aodh-evaluator 6.0.1-0ubuntu1.1 all OpenStack Telemetry (Ceilometer) Alarming - alarm evaluator
ii aodh-expirer 6.0.1-0ubuntu1.1 all OpenStack Telemetry (Ceilometer) Alarming - expirer
ii aodh-listener 6.0.1-0ubuntu1.1 all OpenStack Telemetry (Ceilometer) Alarming - listener
ii aodh-notifier 6.0.1-0ubuntu1.1 all OpenStack Telemetry (Ceilometer) Alarming - alarm notifier
ii python-aodh 6.0.1-0ubuntu1.1 all OpenStack Telemetry (Ceilometer) Alarming - Python libraries

tags: added: verification-done-bionic
removed: verification-needed-bionic
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package aodh - 6.0.1-0ubuntu1.1

---------------
aodh (6.0.1-0ubuntu1.1) bionic; urgency=medium

  * d/p/0001-Support-same-projects-in-different-domain.patch
    - Support same projects in different domain (LP: #1776375)

 -- Seyeong Kim <email address hidden> Thu, 19 Jul 2018 14:46:33 +0900

Changed in aodh (Ubuntu Bionic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for aodh has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

James Page (james-page) on 2018-08-16
Changed in cloud-archive:
status: Triaged → Fix Committed
tags: added: verification-done
removed: verification-needed
tags: added: sts-sru-needed
Seyeong Kim (xtrusia) wrote :

sorry I missed pike-proposed.

I'll verify it ASAP

Thanks.

Seyeong Kim (xtrusia) wrote :

please ignore above msg. confused it.

Corey Bryant (corey.bryant) wrote :

The verification of the Stable Release Update for aodh has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Corey Bryant (corey.bryant) wrote :

This bug was fixed in the package aodh - 6.0.1-0ubuntu1.1~cloud0
---------------

 aodh (6.0.1-0ubuntu1.1~cloud0) xenial-queens; urgency=medium
 .
   * New update for the Ubuntu Cloud Archive.
 .
 aodh (6.0.1-0ubuntu1.1) bionic; urgency=medium
 .
   * d/p/0001-Support-same-projects-in-different-domain.patch
     - Support same projects in different domain (LP: #1776375)

Corey Bryant (corey.bryant) wrote :

The verification of the Stable Release Update for aodh has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Corey Bryant (corey.bryant) wrote :

This bug was fixed in the package aodh - 5.1.0-0ubuntu1~cloud1
---------------

 aodh (5.1.0-0ubuntu1~cloud1) xenial-pike; urgency=medium
 .
   * d/p/0001-Support-same-projects-in-different-domain.patch
     - Support same projects in different domain (LP: #1776375)

tags: added: sts-sru-done
removed: sts-sru-needed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers